package org.jeecg.modules.app.vo.game;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.math.BigDecimal;

public class PriceData {
    private final int day;
    private final BigDecimal price;


    @JsonCreator
    public PriceData(@JsonProperty("day") int day,
                     @JsonProperty("price") BigDecimal price) {
        this.day = day;
        this.price = price;
    }

    // 只提供getter方法，确保不可变性
    public int getDay() { return day; }
    public BigDecimal getPrice() { return price; }

}
